Zum Hauptinhalt springen

List websites (specified as domain and path) from a project where performance data is available

GET/v2/projects/{projectId}/page-insights
API-Version
v2
Request-Methode
GET
Operation-ID
pageinsights-list-performance-data-for-project

Request​

  • projectIdstring (uuid)required

    ID of the Project to list domains for.

Responses​

Format
application/json
Beschreibung

OK

  • Array[
    • *object
      • domainstringrequired
      • pathsArray von objectrequired
        • Array[
          • *object
            • createdAtstring (date-time)required
            • pathstringrequired
            • performanceScoreintegerrequired
            • screenshotFileRefstring
          ]
    ]
Content-Type: application/json

[
{
"domain": "string",
"paths": [
{
"createdAt": "1985-10-26T01:21:00.000Z",
"path": "string",
"performanceScore": 123,
"screenshotFileRef": "string"
}
]
}
]
{
"items": {
"properties": {
"domain": {
"type": "string"
},
"paths": {
"items": {
"properties": {
"createdAt": {
"format": "date-time",
"type": "string"
},
"path": {
"type": "string"
},
"performanceScore": {
"type": "integer"
},
"screenshotFileRef": {
"type": "string"
}
},
"required": [
"path",
"performanceScore",
"createdAt"
],
"type": "object"
},
"type": "array"
}
},
"required": [
"domain",
"paths"
],
"type": "object"
},
"type": "array"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/projects/f0f86186-0a5a-45b2-aa33-502777496347/page-insights?domain=string
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.pageInsights.pageinsightsListPerformanceDataForProject({
"projectId": "f0f86186-0a5a-45b2-aa33-502777496347",
"queryParameters": {
"domain": "string"
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\PageInsights\ListPerformanceDataForProject\ListPerformanceDataForProjectRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ListPerformanceDataForProjectRequest(
projectId: "f0f86186-0a5a-45b2-aa33-502777496347"
))
->withDomain("string");
$response = $client->pageInsights()->listPerformanceDataForProject($request);

var_dump($response->getBody();

Auf dieser Seite